=== debian/changelog ===
ros-melodic-visualstates (0.2.4-1bionic) bionic; urgency=high

  * Merge pull request #151 <https://github.com/JdeRobot/VisualStates/issues/151> from JdeRobot/dependabot/bundler/docs/rake-tw-12.3
    Update rake requirement from ~> 10.0 to ~> 12.3 in /docs
  * Update rake requirement from ~> 10.0 to ~> 12.3 in /docs
    Updates the requirements on [rake](https://github.com/ruby/rake) to permit the latest version.
    - [Release notes](https://github.com/ruby/rake/releases)
    - [Changelog](https://github.com/ruby/rake/blob/master/History.rdoc)
    - [Commits](https://github.com/ruby/rake/compare/v10.5.0...v12.3.3)
    Signed-off-by: dependabot[bot] <mailto:support@github.com>
  * Merge pull request #150 <https://github.com/JdeRobot/VisualStates/issues/150> from JdeRobot/fix-setup
    add missing module visualstates.gui.util
  * add missing module visualstates.gui.util
  * Contributors: JoseMaria Cañas, Okan Asik, Okan Aşık, dependabot[bot]

 -- Okan Aşık <asik.okan@gmail.com>  Sat, 11 Apr 2020 16:00:00 -0000

ros-melodic-visualstates (0.2.3-1bionic) bionic; urgency=high

  * 0.2.2
  * have a new informative about dialog
  * fixes an import bug
  * fixes state initialization bug.
  * fixes state and transition name editing in runtime gui bug.
  * fixes runtime gui hierarhical view bug.

 -- Okan Aşık <asik.okan@gmail.com>  Sun, 26 Jan 2020 16:00:00 -0000
